module Marihana
    ( mainMarihana
    ) where

import System.Environment
import Marihana.Build
import Marihana.Version
import Marihana.Help

mainMarihana :: IO ()
mainMarihana = do
    args <- getArgs
    case args of
        ["build"] -> marihanaBuild
        ["version"] -> marihanaVersion
        ["help"] -> marihanaHelp
        _ -> marihanaHelp
